com.smartgwt.client.widgets.rte

## Class ListProperties

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.rte.ListProperties

-     public class ListProperties
      extends DataClass

  Configuration of an HTML list in a `RichTextEditor`.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListProperties()`
    `ListProperties(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImage()` When the list item marker `style` is "custom-image", the image to use for the markers.
    `static ListProperties` | `getOrCreateRef(JavaScriptObject jsObj)`
    `int` | `getStartNumber()` For ordered lists, the number to start the first item with.
    `ListStyleType` | `getStyle()` The style of list item marker.
    `void` | `setImage(java.lang.String image)` When the list item marker `style` is "custom-image", the image to use for the markers.
    `void` | `setStartNumber(int startNumber)` For ordered lists, the number to start the first item with.
    `void` | `setStyle(ListStyleType style)` The style of list item marker.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListProperties

          public ListProperties()

    - #### ListProperties

          public ListProperties(JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static ListProperties getOrCreateRef(JavaScriptObject jsObj)

    - #### setImage

          public void setImage(java.lang.String image)

      When the list item marker `style` is "custom-image", the image to use for the markers.
      Parameters:
        `image` - See `SCImgURL` . Default value is "[SKIN]/RichTextEditor/bullet_blue.png"

    - #### getImage

          public java.lang.String getImage()

      When the list item marker `style` is "custom-image", the image to use for the markers.
      Returns:
        See `SCImgURL`

    - #### setStartNumber

          public void setStartNumber(int startNumber)

      For ordered lists, the number to start the first item with. Must be non-negative.
      Parameters:
        `startNumber` - Default value is 1

    - #### getStartNumber

          public int getStartNumber()

      For ordered lists, the number to start the first item with. Must be non-negative.
      Returns:
        int

    - #### setStyle

          public void setStyle(ListStyleType style)

      The style of list item marker. If "custom-image", the `image` should be specified.
      Parameters:
        `style` - Default value is null

    - #### getStyle

          public ListStyleType getStyle()

      The style of list item marker. If "custom-image", the `image` should be specified.
      Returns:
        ListStyleType